Issue 9698

Title
PYSON's DateTime should default to UTC
Priority
bug
Status
resolved
Nosy list
ced, nicoe, reviewbot, roundup-bot
Assigned to
nicoe
Keywords
backport, review

Created on 2020-10-08.15:07:23 by nicoe, last changed 4 days ago by roundup-bot.

Messages

New changeset 83e11ad08c84 by Nicolas Évrard in branch 'default':
PYSON's DateTime defaults to the current time in UTC
https://hg.tryton.org/tryton-env/rev/83e11ad08c84
New changeset 662ae82c0f5e by Nicolas Évrard in branch 'default':
PYSON's DateTime defaults to the current time in UTC
https://hg.tryton.org/trytond/rev/662ae82c0f5e
New changeset b99e3e417696 by Nicolas Évrard in branch 'default':
PYSON's DateTime defaults to the current time in UTC
https://hg.tryton.org/tryton/rev/b99e3e417696
New changeset 660d71752eaf by Nicolas Évrard in branch 'default':
PYSON's DateTime defaults to the current time in UTC
https://hg.tryton.org/proteus/rev/660d71752eaf
Author: [hidden] (nicoe) Tryton committer
Date: 2020-10-08.16:34:34
OK. In fact that's how I found it: a domain on a field or in a domain tab would not yield the same result.

I tried to think about a test but appart from the obvious I failed to find one.
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2020-10-08.15:52:12
I'm wondering if it should not be marked as bug and be backported because it makes the behavior of PYSON inconsistent between the client side and the server side.
Author: [hidden] (nicoe) Tryton committer
Date: 2020-10-08.15:07:23
The python implementations of PYSON do not default to UTC when evaluating DateTime without the `start` argument. It should be the case.
History
Date User Action Args
2020-10-22 12:11:40roundup-botsetmessages: + msg61163
2020-10-22 12:11:36roundup-botsetmessages: + msg61162
2020-10-22 12:11:33roundup-botsetmessages: + msg61161
2020-10-22 12:11:28roundup-botsetmessages: + msg61160
nosy: + roundup-bot
status: chatting -> resolved
2020-10-09 18:29:47reviewbotsetmessages: + msg60711
2020-10-08 16:53:10cedsetkeyword: + backport
2020-10-08 16:34:34nicoesetpriority: feature -> bug
messages: + msg60669
2020-10-08 15:52:13cedsetnosy: + ced
messages: + msg60666
2020-10-08 15:23:47reviewbotsetstatus: unread -> chatting
nosy: + reviewbot
messages: + msg60665
2020-10-08 15:10:59nicoesetreviews: 329211002
keyword: + review

Showing 10 items. Show all history (warning: this could be VERY long)